@keyframes showTopText {
    0% {
        transform: translate3d(0, 100%, 0);
    }
    40%,
    60% {
        transform: translate3d(0, 50%, 0);
    }
    100% {
        transform: translate3d(0, 0, 0);
    }
}

@keyframes showBottomText {
    0% {
        transform: translate3d(0, -100%, 0);
    }
    100% {
        transform: translate3d(0, 0, 0);
    }
}

@media (max-width:912px) {
    .animated-title {
        color: var(--color);
        font-weight: 600;
        height: 65vh;
        height: 100vh;
        left: 60%;
        position: absolute;
        top: 70%;
        transform: translate(-60%, -50%);
        width: 90vmin;
        z-index: 0;
    }
}

.prodetail .animated-title {
    color: var(--color);
    font-weight: 600;
    /* height: 65vh; */
    height: 100vh;
    left: 50%;
    position: absolute;
    top: 40%;
    transform: translate(-30%, -50%);
    /* ltr translate(-45%, -50%) */
    width: 90vmin;
}

@media screen (max-width: 1025px) {
    .prodetail .animated-title {
        transform: translate(-20%, -50%);
    }
}

@media (max-width: 768px) {
    /* .animated-title {
        top: 30%;
    } */
    .prodetail .animated-title {
        top: 20%;
    }
}

.animated-title>div {
    height: 50%;
    overflow: hidden;
    position: absolute;
    width: 100%;
}

.animated-title>div div {
    font-size: 4vmin;
    padding: 2vmin 0;
    position: absolute;
}

.animated-title>div div span {
    display: block;
}

.animated-title>div.text-top {
    border-bottom: 0.3vmin solid var(--main-color);
    top: 0;
}

.animated-title>div.text-top div {
    animation: showTopText 1s;
    animation-delay: 0.5s;
    animation-fill-mode: forwards;
    bottom: 0;
    transform: translate(0, 100%);
}

.animated-title>div.text-top div span:first-child {
    color: var(--secondary-color);
}

.animated-title>div.text-bottom {
    bottom: 0;
}

.animated-title>div.text-bottom div {
    animation: showBottomText 0.5s;
    animation-delay: 1.75s;
    animation-fill-mode: forwards;
    top: 0;
    transform: translate(0, -100%);
}
